;***** START UP JOTI-IRC ******

on *:START: {
	/set %tmp.startup 1
	/set %ff $regex($date, /\d{2}\/\d{2}\/(\d{4})/)
	/set %currentyear $regml(1);
	
	/checkvars
	if ($file($+($adiircdir,\pix\iconbar.bmp))) {
  	/background -hte $adiircdir\pix\iconbar.bmp
  }
  if ($file($+($adiircdir,\pix\switchbar.bmp))) {
  	/background -lte $adiircdir\pix\switchbar.bmp
  }
  /.toolbar -c
  /titlebar Deze JOTA-JOTI is mede mogelijk gemaakt door 4scouts.nl
  /showversions
  /checkfileversions
}

alias showversions {
  /echo 4 ***************************************
  /echo 4 START UP JOTI-IRC 
  /echo 4 SCRIPT VERSION: %script.version 
  /echo 4 MODE: %setup.joti.mode 
  /echo 4 RUNNINGDIR: $adiircdir 
  /echo 4 CLIENTID: %setup.joti.clientid
  /echo 4 ***************************************
}

alias runstartup {
 	if ((%setup.joti.mode == setup) || (%setup.joti.mode == $null)) {
 		/echo -sg first time setup
 		/.load -rs $adiircdir $+ Scripts\scoutlinksetup.ini
   	/startsetup
 	} elseif (%setup.joti.mode == single) {
 		/toolbarsetup
 		/toolbarupdate
  	/dialog -m usernick usernick
 	} elseif (%setup.joti.mode == group) {
 		/toolbarsetup
 		/toolbarupdate
   	/dialog -m usernick usernick
 	} else {
   	/echo 4 ERROR: CONFIGURATION CORRUPTED!!! 
 	}
 	/set %tmp.startup 0
}	


alias checkvars {
  /set %script.version 2024.1
  
  /set %connection disconnected
  /set %usermode on
  /set %mynickname $null
  /set %setup.url.filebase https://www.4scouts.nl/jotiirc
  /set %localadminmode 0
  /set %operator.chan #beneluxops
  
	if (%tmp.toolbaricons == $null) {
		/set %tmp.toolbaricons more
	}
  if (%tmp.chanfilter == $null) {
  	/set %tmp.chanfilter dutch
  }
  if (%timedisplay == $null) {
  	/set %timedisplay on
  }
  if (%sounds == $null) {
  	/set %sounds on
  }
  if (%fonts == $null) {
  	/set %fonts large
  }
 	if (%setup.joti.afsluitbericht == $null) {
		/set %setup.joti.afsluitbericht Have a great JOTA-JOTI
	}  
	if (%setup.joti.clientid == $null) {
		/set %setup.joti.clientid $+(jotistation_,$rand(10000,50000))
	}
	
	/.setoption Server QuitMsg Have a great JOTA-JOTI %currentyear
	
	if ($exists($adiircdir $+ upp.exe)) {
		/.remove $adiircdir $+ upp.exe
	}	
	/set %tmp.ircupdate 0
}

alias slap {}

;***** TOOLBAR JOTI-IRC ******

alias toolbarsetup {
	/set %toolbaricons $+($adiircdir,pix\)
	/set %brokenicon $+(%toolbaricons,jj.ico)
	/toolbar -c 
	
	/noop $createbutton(start,"Verbinden met het scoutLink netwerk",start.ico,"/dialog -m usernick usernick")
	/noop $createbutton(stop,"Verbinding verbreken met het scoutLink netwerk",stop.ico,"/quit %setup.joti.afsluitbericht")
	/noop $createbutton(nick,"Schuilnaam wijzigen",nick.ico,"/dialog -m usernick usernick")
	/noop $createbutton(channel,"Bezoek een kanaal",join.ico,"/bezoek")
	/noop $createbutton(listall,"Huidige kanalenlijst opvragen",listall.ico,"/fetchchannels")
	/noop $createbutton(listdutch,"Nederlandse kanalenlijst opvragen",listdutch.ico,"/fetchchannels #dutch")
	/noop $createbutton(arrangewindows,"Vensters schikken",windows.ico,"/arrangewindows")
  /noop $createbutton(smallfont,"Wil je kleine letters?",smallfont.ico,"/klein")
  /noop $createbutton(largefont,"Wil je grote letters?",largefont.ico,"/groot")
;  /noop $createbutton(info,"Informatie over deze ADIIRC versie",info.ico,"/dialog -m clientinfo clientinfo")
  /noop $createbutton(scoutlink,"Bezoek de website van ScoutLink",scoutlink.ico,"/url http://www.scoutlink.nl")
  /noop $createbutton(timeon,"tijdstempel aan",timer.ico,"/timeon")
  /noop $createbutton(timeoff,"tijdstempel uit",notimer.ico,"/timeoff")
  /noop $createbutton(sounds,"Geluid aan",sound.ico,"/switchsound")
  /noop $createbutton(nosounds,"Geluid uit",nosound.ico,"/switchsound")
  /noop $createbutton(viewlog,"Log registraties bekijken",viewlog.ico,"/url  $adiircdir\records\index.html")
  /noop $createbutton(addlog,"Handmatig een logregistratie toevoegen",addlog.ico,"/addlog")
  /noop $createbutton(games,"Spelletjes kanalen",games.ico,"/startgames")
  /noop $createbutton(badges,"Overzicht van jouw behaalde badges",badges.ico,"/badgeoverzicht")
  /noop $createbutton(more,"Meer knoppen",more.ico,"/more")
  /noop $createbutton(less,"Minder knoppen",less.ico,"/less")
  /noop $createbutton(panic,"Ik heb hulp nodig!",panic.ico,"/panic")
  /noop $createbutton(setupid,"Stel het Station ID in",config.ico,"/setupid")
  /noop $createbutton(registernick,"Registreer je schuilnaam op ScoutLink!",regnick.ico,"/registernick")
  /noop $createbutton(usermodeoff,"spamfilter uit",usermodeoff.ico,"/switchspam")
  /noop $createbutton(usermodeon,"spamfilter aan",usermodeon.ico,"/switchspam")
	
	/toolbarupdate
	/unset %toolbaricons
	/unset %brokenicon
}

alias createbutton {
	if ($0 != 4) {
		/echo -sg invalid call
	} else {
		var %iconfile = $+(%toolbaricons,$3)
		if ($exists(%iconfile)) {
			/toolbar -a $1 $2 %iconfile $4
		} else {
			/echo icon $3 not found
			/toolbar -a $1 $2 %brokenicon $4
		}
	}
	return $null
}

alias toolbarupdate {
  if (%connection == connected) {
    /toolbar -h start
    /toolbar -w stop
    /toolbar -w nick
    /toolbar -w channel
    /toolbar -w listall
    /toolbar -w listdutch
 ;   /toolbar -w info
    /toolbar -w games
    /toolbar -w badges
    /toolbar -w panic
    /toolbar -w registernick
   
    if (%usermode == on) {
			/toolbar -w usermodeoff
			/toolbar -h usermodeon
		} else {
			/toolbar -h usermodeoff
			/toolbar -w usermodeon
		}
  } else {
    /toolbar -w start
    /toolbar -h stop
    /toolbar -h nick
    /toolbar -h channel
    /toolbar -h listall
    /toolbar -h listdutch
;    /toolbar -h info   
    /toolbar -h games
    /toolbar -h badges
    /toolbar -h panic
    /toolbar -h registernick
    /toolbar -h usermodeoff
    /toolbar -h usermodeon
  }
	 	
  if (%font == small) {
    /toolbar -h smallfont
    /toolbar -w largefont
  } else {
 	 /toolbar -w smallfont
 	 /toolbar -h largefont
	}

  if (%sounds == on) {
  	/toolbar -h sounds
    /toolbar -w nosounds
  } else {
    /toolbar -w sounds
    /toolbar -h nosounds
  }
	
  
  if (%timedisplay == off) {
   	/toolbar -w timeon
   	/toolbar -h timeoff    	
	} else {
 		/toolbar -h timeon
 		/toolbar -w timeoff
  }

 	if ((%setup.joti.localadmin == 1) || (%setup.joti.mode == single)) {
 		/toolbar -w setupid
 	} else {
		/toolbar -h setupid
 	}

  if (%toolbaricons == less) {
;    /toolbar -h info
    /toolbar -h games
    /toolbar -h badges
    /toolbar -h scoutlink 
    /toolbar -h timeon
    /toolbar -h timeoff
    /toolbar -h listall
    /toolbar -h setupid
    /toolbar -h less
    /toolbar -w more    
  } else {
    /toolbar -w less
    /toolbar -h more
	} 
}

alias groot {
  /font -z 16 arial
  /set %font large
  /toolbarupdate
}

alias klein {
  /font -z 11 arial
  /set %font small
  /toolbarupdate
}

alias timeon {
  /timestamp on
  /set %timedisplay on
  /toolbarupdate
}

alias timeoff {
  /timestamp off
  /set %timedisplay off
  /toolbarupdate
}

alias arrangewindows {
  inc %arrwindow
  if (%arrwindow == 1) { /mdi -c }
  if (%arrwindow == 2) { /mdi -t }
  if (%arrwindow == 3) { /set %arrwindow 1 }
}

alias more {
	/set %toolbaricons more
	/toolbarupdate
}

alias less {
	/set %toolbaricons less
	/toolbarupdate
}

alias bezoek {
  /join $$?="voer hier het kanaal in dat je wil bezoeken inclusief #"
}

alias mme { 
  /return $address($me,2)
}

alias nickid {
  /NICKSERV identify $$?*="Voer hier het wachtwoord van jouw schuilnaam in:"
}

alias nickghost { 
  /NICKSERV ghost $me $$?="Voer hier je geregistreerde schuilnaam in:" $$?*="Voer hier je wachtwoord in:" 
}

alias panic {
  if (%setup.joti.mode == group) {
    /noticeadmin HELP!
    /playsound panic.mp3
  } else {
    /query $nick(#,3,o) 4,8HELP! <<<<PANICBUTTON>>>>
  }
}

alias switchsound {
	if (%sounds == on) {
		%sounds = off
	} else {
		%sounds = on
	}
	/toolbarupdate
}

alias switchspam {
	if (%usermode == off) {
		/mode $me +R
		/set %usermode on
	} else {
		/mode $me -R
		/set %usermode off
	}
	/toolbarupdate
}

alias setupid {
  /set %setup.joti.clientid $$?="voer hier het nummer van het JOTI station in (b.v. PC1, tafel1-station4, etc.)"
  /echo setting %setup.joti.clientid
  /toolbarupdate
}

;dialog clientinfo {
;  title "Info JOTI-IRC %currentyear"
;  size -1 -1 400 320
;  icon 1, 1 1 400 188, $adiircdir\pix\banner8.jpg
;  text "Deze IRC client is gebasseerd op ADIIRC en is ontwikkeld voor Scouts die deelnemen aan de JOTA-JOTI of willen verbinden met het ScoutLink netwerk. Deze client is ontwikkeld door: Martin Boer (Coldforged) en Gert-Jan Havermans (geejee). Voor opmerkingen, ideeën en bugreports kan  er gemaild worden naar: dutchops@scoutlink.nl",2, 15 10 370 100
;  button "Sluiten",3, 150 290 100 25, OK 
;}

;on *:DIALOG:clientinfo:sclick:3: {
;  /dialog -x clientinfo
;}

;***** USER DIALOGS JOTI-IRC *****
alias nick {
	/echo setting nickname to $1
	/set %mynickname $1
	/.nick $1
	}
	
dialog usernick {
  title "Kies een schuilnaam"
  size -1 -1 350 460
  icon 1, 1 1 350 350, $adiircdir\pix\logo.png
  text "Kies een schuilnaam en je speltak",2, 20 375 250 24
  edit "$+(Nick_,$rand(10000,99999))",3, 20 400 150 24
  combo 4, 180 400 150 80,drop
  button "Ga verder",5, 125 430 100 25, OK 
}

on *:DIALOG:usernick:init:0: { 
  did -a usernick 4 Bevers 
  did -a usernick 4 Welpen
  did -a usernick 4 Scouts 
  did -a usernick 4 Explorers
  did -a usernick 4 Roverscouts
  did -a usernick 4 Leiding
  did -a usernick 4 Operator
}

on *:DIALOG:usernick:sclick:5: {
  set %schuilnaam $did(usernick,3).text
  set %speltak $did(usernick,4).seltext
  
  if (%schuilnaam == $null) {
  	%schuilnaam = $+(GUEST_,$rand(10000,99999))
  }
  
  /set %mynickname %schuilnaam

	if (%setup.joti.prefix != $null) {
		if (%schuilnaam != %setup.joti.localadmin) {
			/set %mynickname %setup.joti.prefix $+ _ $+ %schuilnaam 
		}
	}

  /unset %schuilnaam
  if (%connection == disconnected) {
  	/conn
  } else {
  	/nick %mynickname
  }
}


alias requestnick {
	/playsound nicknameallreadyinuse.wav
	/echo -g je schuilnaam kan niet gebruikt worden.
	/dialog -m usernick usernick
}

raw 432:*: {
	/requestnick
	/halt
}
raw 433:*: {
	/requestnick
	/halt
}


;***** CONNECTING JOTI-IRC ******
alias playsound {
	if (%sounds == on) {
		var %tmp.sound = $adiircdir $+ sounds\ $+ $$1
		if ($exists(%tmp.sound)) {
			/splay -c %tmp.sound
		}
	}
}
	
alias conn {
  var %connectdelay = $rand(1,5) 
  if (%connectdelay == 1) { /timerCONN1 1 1 /conn2 }
  if (%connectdelay == 2) { /timerCONN1 1 2 /conn2 }
  if (%connectdelay == 3) { /timerCONN1 1 3 /conn2 }
  if (%connectdelay == 4) { /timerCONN1 1 4 /conn2 }
  if (%connectdelay == 5) { /timerCONN1 1 5 /conn2 }
}

alias conn2 {  
  /server chat.scoutlink.net -nick %mynickname -real %mynickname -f
}

on *:CONNECTFAIL: {
  /disconnect
  /timerFAIL 1 1 /conn 
}

on *:CONNECT: {
  /echo 12 ******************************
  /echo 12 *  veel plezier online!!!   *
  /echo 12 ******************************
  /set %connection connected
  
  if (%setup.joti.mode == group) {
  	if (%setup.joti.clientid == $null) {
  		%setup.joti.clientid = $host
  	}
  	if ($me == %setup.joti.localadmin) {
  		/echo 12 local admin mode
  		/adminconnected
  	} else {
  	  /noticeadmin connected
  	}
  }  	
  /playsound connected.wav
	/toolbarupdate  
  /loadbwlist
  /timerCONN2 1 1 /list
  ;/list
}

on *:NOTICE:*This nickname is registered*:?: {  
  if ($nick == NickServ) { 
    /timerNICKID 1 1 /nickid  
    /
    }
}

on *:DISCONNECT: {
  /set %connection disconnected
 	/admindisconnect
  /playsound disconnected.wav
  /toolbarupdate
}


on *:NICK: {
	if ($nick == $me) {
		/playsound userchangednick.wav
		/echo -sg User nickchange from $nick to $newnick
		if (%setup.joti.mode == group) {
  		if ($newnick != %setup.joti.localadmin) {
    		/noticeadmin nickchange %mynickname $newnick
    		if (%localadminmode == 1) {
 					/admindisconnect
 				}
  		} else {
  			/adminconnected
  		}
  	}
  	/set %mynickname $newnick
  }
}

on *:JOIN:*: {
	if ($nick == $me) {
		/playsound channeljoined.wav
  	if ( ($nick != %setup.joti.localadmin) && (%setup.joti.mode == group) ) {
    	/noticeadmin channeljoin $chan 
  	}
  }
}

on *:OPEN:?:*: {
	if ($nick == $me) {
		/playsound privatemessage.wav
  	if ( ($nick != %setup.joti.localadmin) && (%setup.joti.mode == group) ) {
    	/noticeadmin querywindow $nick 
  	}
  }
}

on *:PART:#: {
	if ($nick == $me) {
		/playsound channelleft.wav
  	if (($nick != %setup.joti.localadmin) && (%setup.joti.mode == group)) {
    	/noticeadmin channelpart $chan
  	}
  }
}

on *:KICK:*: {
	if ($knick == $me) {
		/playsound userkicked.wav
 		if (%setup.joti.mode == group) {
 	  	/noticeadmin kicked $nick $chan
 		}
 		/window -c $chan
 		/echo -sg 4 Je bent door $nick uit het kanaal $chan gekicked wegens: $1-
	}
}

on *:BAN:*: {
	if ($bnick != $null) {
		if ($bnick == $me) {
			/playsound userbanned.wav
  		if (%setup.joti.mode == group) {
  	  	/noticeadmin banned $banmask $chan
  		}
  		/window -c $chan
  		/echo -sg 4 Je bent gebanned voor $chan door $nick wegens: $2-
  	}
  }
}

on *:TEXT:into the wild!:#dutch-opening: {
	if ($nick == geejee) {
  	 /msg #dutch-opening We are born, born to be WILD!
	}
}

;***** ADMIN SCRIPT JOTI-IRC ******
alias adminconnected {
  /window -dk0 @Usermonitor 150,50,250,500 
  /font -d @Usermonitor 14 arial
  /aline @Usermonitor 4Hier komen alle gebeurtenissen van de gebruikers
  /echo 4 *********************************
  /echo 4 *  LOKALE ADMIN MODE!!!   *
  /echo 4 ********************************* 
  /set %localadminmode 1
}

alias admindisconnect {
	/set %localadminmode = $null
	/window -c @Usermonitor
}

dialog waarschuwing {
	title "Waarschuwing van jou beheerder"
	option dbu
	size -1 -1 300 100
	text "",2,5 5 200 80
	button "sluiten", 10, 125 85 34 10, cancel
}

alias noticeadmin {
	/.notice %setup.joti.localadmin $1- %setup.joti.clientid
	/set %tmp.ignorenonick 1
}

raw 401:*: {
	if (%tmp.ignorenonick == 1) {
		/unset %tmp.ignorenonick
		/halt
	}
}

alias dodebug {
	/debug -ets @debugging
}

menu nicklist,channel,query {
 	$iif((%localadminmode == 1) && (%setup.joti.mode == group),Admin functies) 
 		.ID: /.notice $$1 ID
	 	.waarschuwing: /.notice $$1 warning $$?="Geef de waarschuwing tekst"
 		.Schuilnaam: /.notice $$1 changenick $$?="Voer hier de nieuwe schuilnaam in"
 		.Verdwijn: /.notice $$1 verdwijn
 		.Exit: /.notice $$1 exit
}

on *:NOTICE:*:* {
	if (%localadminmode == 1 ) {
		var %tmp.color = $null
		var %tmp.line = $null	
		
		if ($$1 == connected) {
			var %tmp.color = 2
			var %tmp.line = $nick is online op Joti-station $$2
		}
  	
		if ($$1 == nickchange) {
			var %tmp.color = 12
			var %tmp.line = $nick veranderd nickname naar $$2 op Joti-station $$3
		}
		
		if ($$1 == channeljoin) {
			var %tmp.color = 3
			var %tmp.line = $nick bezoekt channel $$2 Joti-station $$3
		}
  	
		if ($$1 == channelpart) {
			var %tmp.color = 0
			var %tmp.line = $nick verlaat channel $$2 Joti-station $$3
		}
		
		if ($$1 == kicked) {
			var %tmp.color = 4
			var %tmp.line = $nick is uit $$3 gekickt door $$2 op Joti-station $$4
		}
  	
		if ($$1 == banned) {
			var %tmp.color = 4
			var %tmp.line = $nick is uit $$3 gekickt en gebanned door $$2 op Joti-station $$4
		}
  	
		if ($$1 == querywindow) {
			var %tmp.color = 12
			var %tmp.line = $nick heeft een prive gesprek gestart met $$2 op Joti-station $$4
		}
		if ($$1 == ID) {
			var %tmp.color 0
			var %tmp.line = $nick heeft station id $$2
		}
		
		if ($$1 == HELP!) {
			var %tmp.color = 4
			var %tmp.line = $nick heeft hulp nodig op Joti-station $$1
			/playsound panic.mp3
		}
  } else {
	
		if (($nick == %setup.joti.localadmin) && (%setup.joti.mode == group)) {

			if ($$1 == ID) {
				/noticeadmin ID
			}
			
			if ($$1 == warning) {
				/dialog -m waarschuwing waarschuwing
				/did -a waarschuwing 2 $2-
			}  	
			if ($$1 == verdwijn) {
				/echo -sg Opdracht van $nick om jou te verwijderen uit alle chats!
				/playsound killed.wav
				/quit 4Oeps! Deze scout is een beetje stout geweest en is dus verwijderd!!!
			}
			if ($$1 == changenick) {
				/echo -sg Opdracht van $nick om je nickname te veranderen naar $$2
				/nick $$2
			}
			
			if ($$1 == exit) {
				/echo -sg Opdracht van $nick om jou chat af te sluiten.
				/exit -n
			}
		}
	}
		
  	
	if (%tmp.line != $null) {
		/echo -g @Usermonitor %tmp.color $time - %tmp.line
		/write $adiircdir\logs\log%currentyear.txt $fulldate - %tmp.line
	}
}
	

;***** CHANNEL LISTING JOTI-IRC ******

alias fetchchannels {
	if ($1 == $null) {
		/set %tmp.chanfilter $null
	} else {
  	/set %tmp.chanfilter $1
	}
	/.list
}


alias channelfilter { 
	if (%tmp.chanfilter != $null) {
  	var %myfilter = $+(*,%tmp.chanfilter,*)
  	/filter -cdio chat_channels 3 chat_channels 2 %myfilter
  } else {
  	/filter -cdio chat_channels 3 chat_channels 2 *
	}
	
}

alias list { 
	if ($1 != $null) {
  	set %tmp.chanfilter $1
	}
	/dialog -m chat_channels chat_channels
	/.raw list
}

dialog chat_channels {
	title "Kies je chat channel"
	option dbu
	size -1 -1 300 200
	text "Channel filter",20,5 5 35 8
	edit %tmp.chanfilter, 21, 50 3 100 10
	list 2, 1 15 300 165, sort
	button "filter lijst", 11, 155 3 50 10
	button "sluiten", 10, 125 185 34 10, cancel
	list 3, 400 1 1 1,
}

on *:DIALOG:chat_channels:sclick:11 {
	set %tmp.chanfilter $did(21)
	/channelfilter
}

on *:DIALOG:chat_channels:sclick:2 {
	var %line = $did(2,$did(2).sel).text
	var %naam, %dump = $regsub(%line,/\t.*/,$null,%naam)
	/join %naam
}

raw 322:*: {
	inc %listcounter
	var %x,%y = $regsub($2-,/.*?\]\s/,$null,%x)
	var %naam, %dump = $regsub($2-,/\s+.*/,$null,%naam);
	var %regel = %naam $chr(9)
	if ($len(%naam) < 8) { 
		%regel = %regel $chr(9) 
	}
	%regel = %regel $3 $chr(9) %x
	/did -a chat_channels 3 %regel
	/halt
}

raw 323:*: {
	/channelfilter
	/setusermode
	/halt
}

raw 221:*: {
	/setusermode
}

alias setusermode {
	if (R isincs $usermode) {
	 /set %usermode on
	} else {
	 /set %usermode off
	}
	/toolbarupdate
}

;***** GAME MENU JOTI-IRC ******

dialog games {
	title "Overzicht IRC spelletjes"
	size -1 -1 600 250
	icon 1, 1 1 150 150, $adiircdir\pix\pimpampet.bmp
	icon 2, 151 1 150 150, $adiircdir\pix\wakkerdam.bmp
	icon 3, 301 1 150 150, $adiircdir\pix\welpen.bmp
	icon 4, 451 1 150 150, $adiircdir\pix\uno.bmp
	icon 5, 601 1 150 150, $adiircdir\pix\trivia.bmp
	text "Pim Pam Pet, het ouderwets gezellige woordspel met natuurlijk Pimmetje!",6, 5 160 140 50
	text "De Weerwolven van Wakkerdam, het bekende role playing kaartspel!",7, 155 160 140 50
	text "De Weerwolven van Wakkerdam, welpen jungle editie!",8, 305 160 140 50
	text "UNO, geen gezellig avondje zonder het werelberoemde UNO kaartspel!",9, 455 160 140 50
	text "Trivia, test je kennis bij deze gezellige Trivia quiz!",10, 605 160 140 50
	button "Nu spelen!",11, 25 215 100 25, OK 
	button "Nu spelen!",12, 175 215 100 25, OK 
	button "Nu spelen!",13, 325 215 100 25, OK 
	button "Nu spelen!",14, 475 215 100 25, OK 
	button "Nu spelen!",15, 625 215 100 25, OK 
}

alias startgames {
	/dialog -m games games
}


on *:DIALOG:games:sclick:1: {
	/join #dutch-pimpampet
	/dialog -x games
}

on *:DIALOG:games:sclick:11: {
	/join #dutch-pimpampet
	/dialog -x games
}

on *:DIALOG:games:sclick:2: {
	/join #dutch-weerwolven
	/dialog -x games
}

on *:DIALOG:games:sclick:12: {
	/join #dutch-weerwolven
	/dialog -x games
}

on *:DIALOG:games:sclick:3: {
	/join #dutch-jungle
	/dialog -x games
}

on *:DIALOG:games:sclick:13: {
	/join #dutch-jungle
	/dialog -x games
}

on *:DIALOG:games:sclick:4: {
	/join #dutch-uno
	/dialog -x games
}

on *:DIALOG:games:sclick:14: {
	/join #dutch-uno
	/dialog -x games
}

;***** BADGES AND LOGGING PROFILES JOTI-IRC ******

menu nicklist,channel,query {
	Badges
	.Leukste Chat: { 
	  if ($1 != $me) {
	    /inc %badgequota
	    if (%badgequota == 1) /timerQUOTA 1 3600 /set %badgequota 0
	    if (%badgequota < 6) /ctcp $1 badge.leukstechat 
	    if (%badgequota < 6) /ctcp Douwe badge.leukstechat $1 
	    if (%badgequota >= 6) /echo Helaas, je mag maar 5 badges in 1 uur weggeven! 
	  }
	}
	.Nieuwe Vriend: { 
	  if ($1 != $me) {
	    /inc %badgequota
	    if (%badgequota == 1) /timerQUOTA 1 3600 /set %badgequota 0
	    if (%badgequota < 6) /ctcp $1 badge.nieuwevriend 
	    if (%badgequota < 6) /ctcp Douwe badge.nieuwevriend $1 
	    if (%badgequota >= 6) /echo Helaas, je mag maar 5 badges in 1 uur weggeven! 
	  }
	}
	.Beste Groep: { 
	  if ($1 != $me) {
	    /inc %badgequota
	    if (%badgequota == 1) /timerQUOTA 1 3600 /set %badgequota 0
	    if (%badgequota < 6) /ctcp $1 badge.bestegroep 
	    if (%badgequota < 6) /ctcp Douwe badge.bestegroep $1 
	    if (%badgequota >= 6) /echo Helaas, je mag maar 5 badges in 1 uur weggeven! 
	  }
	}
	Profiel
	.Registreer log: {
	  if (%profilelock == unlock) {
	    /ctcp $1 GET.PROFILE
	    /set %profilelock lock
	    /timerPROFILELOCK 1 90 profile.unlock
	    /inc %logcounter
	  }
	}
}

alias profile.unlock {
	/set %profilelock unlock
}



dialog leukstechat {
	title "Leukste chat insigne"
	size -1 -1 182 255
	icon 1, 1 1 180 180, $adiircdir\pix\leukstechat.jpg
	text "Gefeliciteerd! Je hebt een badge voor Leukste Chat ontvangen van :",2, 12 183 160 56
	text "",3, 41 211 180 28 
	button "Sluiten",4, 41 225 100 25, OK 
}

ctcp *:badge.leukstechat:*: {
	/set %afzender $nick
	/dialog -m leukstechat leukstechat
	/did -a leukstechat 3 %afzender
	/ctcp Douwe recieved.badge.leukstechat %afzender
	/playsound badgerecieved.wav
}

on *:DIALOG:leukstechat:sclick:4: {
	/inc %aantal.badges.leukstechat  
	/dialog -x leukstechat 
	/unset %afzender
}

dialog nieuwevriend {
	title "Nieuwe vriend insigne"
	size -1 -1 182 255
	icon 1, 1 1 180 180, $adiircdir\pix\nieuwevriend.jpg
	text "Gefeliciteerd! Je hebt een badge voor Nieuwe Vriend(in) ontvangen van :",2, 8 183 170 56
	text "",3, 41 211 180 28 
	button "Sluiten",4, 41 225 100 25, OK 
}

ctcp *:badge.nieuwevriend:*: {
	/set %afzender $nick
	/dialog -m nieuwevriend nieuwevriend
	/did -a nieuwevriend 3 %afzender
	/ctcp Douwe recieved.badge.leukstechat %afzender
	/playsound badgerecieved.wav
}

on *:DIALOG:nieuwevriend:sclick:4: {
	/inc %aantal.badges.nieuwevriend  
	/dialog -x nieuwevriend 
	/unset %afzender
}

dialog bestegroep {
	title "Beste groep insigne"
	size -1 -1 182 255
	icon 1, 1 1 180 180, $adiircdir\pix\bestegroep.jpg
	text "Gefeliciteerd! Je hebt een badge voor de Beste Groep ontvangen van :",2, 8 183 170 56
	text "",3, 41 211 180 28 
	button "Sluiten",4, 41 225 100 25, OK 
}

ctcp *:badge.bestegroep:*: {
	/set %afzender $nick
	/dialog -m bestegroep bestegroep
	/did -a bestegroep 3 %afzender
	/ctcp Douwe recieved.badge.leukstechat %afzender
	/playsound badgerecieved.wav
}

on *:DIALOG:bestegroep:sclick:4: {
	/inc %aantal.badges.bestegroep  
	/dialog -x bestegroep 
	/unset %afzender
}

dialog badgeoverzicht {
	title "Overzicht behaalde badges"
	size -1 -1 302 150
	icon 1, 1 1 100 100, $adiircdir\pix\leukstechat.jpg
	icon 2, 101 1 100 100, $adiircdir\pix\nieuwevriend.jpg
	icon 3, 201 1 100 100, $adiircdir\pix\bestegroep.jpg
	text "aantal:",4, 1 101 100 25
	text "aantal:",5, 101 101 100 25
	text "aantal:",6, 202 101 100 25
	text "",7, 51 101 50 25
	text "",8, 151 101 50 25
	text "",9, 251 101 50 25
	button "Sluiten",10, 101 126 100 25, OK 
}

alias badgeoverzicht {
	/dialog -m badgeoverzicht badgeoverzicht
	/did -a badgeoverzicht 7 %aantal.badges.leukstechat 
	/did -a badgeoverzicht 8 %aantal.badges.nieuwevriend 
	/did -a badgeoverzicht 9 %aantal.badges.bestegroep 
}

on *:DIALOG:badgeoverzicht:sclick:10: {
	/dialog -x badgeoverzicht
}

;***** OPERATORSRIPT JOTI-IRC ******

;F1 - Vrije waarschuwingen
alias f1 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , $$input(Algemene waarschuwing.,e,waarschuwing,) } 
alias sf1 { if ($me isop $chan) && ($active ischan)  /kick $chan $snick(#,1)  $$?="Wat is de reden van je kick?" } 
alias cf1 { if ($me isop $chan) && ($active ischan)  /var %kickmsg = $?="Wat is de reden van je kickban?" | timedban $chan $snick(#,1) %kickmsg } 

;F2 - Taalgebruik
alias f2 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , zou je alsjeblieft op je taalgebruik willen letten? Ik zou het jammer vinden als ik iemand uit dit chatkanaal zou moeten verwijderen. } 
alias sf2 { if ($me isop $chan) && ($active ischan)  /kick $chan $snick(#,1) Je taalgebruik is niet wenselijk. } 
alias cf2 { if ($me isop $chan) && ($active ischan)  /timedban $chan $snick(#,1) Je taalgebruik is niet wenselijk. } 

;F3 - Foute nickname
alias f3 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , je schuilnaam is niet gepast en ik wil graag dat je deze veranderd. Je kan je schuilnaam veranderen met het commando /nick NieuweNaam.  } 
alias sf3 { if ($me isop $chan) && ($active ischan)  /kick $chan $snick(#,1) Je schuilnaam is niet toegestaan. Je kan je naam veranderen met /nick nieuwenaam. } 
alias cf3 { if ($me isop $chan) && ($active ischan)  /timedban $chan $snick(#,1) Je schuilnaam is hier niet toegestaan. Je kan je schuilnaam veranderen met /nick nieuwenaam. } 

;F4 - Flooding
alias f4 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , wil je niet teveel (onzin) achter elkaar typen? Anderen hebben daar hinder van en het is niet nodig. } 
alias sf4 { if ($me isop $chan) && ($active ischan)  /kick $chan $snick(#,1) Teveel (onzin) typen is storend. Helaas is je enthousiasme niet te temmen. } 
alias cf4 { if ($me isop $chan) && ($active ischan)  /timedban $chan $snick(#,1) Teveel (onzin) typen is storend. Helaas is je enthousiasme niet te temmen.  } 

;F5 - Capslock gebruik
alias f5 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , alleen maar hoofdletters gebruiken wordt gezien als schreeuwen en is erg onvriendelijk. Ik wil graag dat je daar mee stopt! } 
alias sf5 { if ($me isop $chan) && ($active ischan)  /kick $chan $snick(#,1) Helaas schrijf je alles in hoofdletters. Dat is niet wenselijk. } 
alias cf5 { if ($me isop $chan) && ($active ischan)  /timedban $chan $snick(#,1) Helaas schrijf je alles in hoofdletters. Dat is niet wenselijk. } 


;F6 - Privé gegevens (Algemeen en persoonlijk)
alias f6 { if ($me isop $chan) && ($active ischan)  /say Je kan beter geen privégegevens doorgeven. Dit kan later vervelende gevolgen hebben. Besluit je toch om gegevens door te geven, doe dat dan in een privébericht. } 
alias sf6 { if ($me isop $chan) && ($active ischan)  /say $$1 $+ , je kan beter geen privégegevens doorgeven! Dit kan later vervelende gevolgen hebben. } 


;F7 - Vrij in te vullen
alias sf7 { if ($me isop $chan) && ($active ischan)  /say Hoi $chan mijn naam is $me en ik ben een Dutch Operator voor ScoutLink. } 

;F8 - Kill en Gline
alias sF8 { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $snick(#,1) $$?="Wat is de reden? Laat leeg om Kill te annuleren." }
alias cF8 { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $snick(#,1)  2m : $+ $$?="Wat is de reden? Laat leeg om g-line te annuleren. Voor langere glineaanvraag graag persoonlijk overleg in %operator.chan!" (Korte ban: mail voor meer info naar joti@scoutlink.nl) }


;F9 - OP's aan/uit
alias f9 { 
	if ($me isop $active) { 
		/mode $active -o $me
		;/timerCONN3 1 2 /who $active
		/msg %operator.chan 4ik ben GEEN operator meer in $active 
	} else { 
		/chanserv op $active $me
		;/timerCONN3 1 2 /who $active
		/playsound channeloperator.wav
		/msg %operator.chan 4ik ben NU operator in $active  
	}
}

;F10 - Kleur, inviteonly, moderated
alias f10 { if (($me isop $chan) && ($active ischan)) { 
	if ($me isop $active) {
		mode # $iif(c isincs $chan(#).mode,-c,+c) } 
		if (c isincs $chan(#).mode) {
			/msg %operator.chan 4 $chan kan geen kleurcodes gebruiken
		} else {
			/msg %operator.chan 4 $chan kan kleurcodes gebruiken
		}
	}
}

alias Sf10 { if (($me isop $chan) && ($active ischan)) { 
	if ($me isop $active) {
		mode # $iif(i isincs $chan(#).mode,-i,+i) } 
		if (i isincs $chan(#).mode) {
			/msg %operator.chan 4 $chan is open
		} else {
			/msg %operator.chan 4 $chan is nu invite only
		}
	}
}

alias cf10 { if (($me isop $chan) && ($active ischan)) { 
	if ($me isop $active) {
		mode # $iif(m isincs $chan(#).mode,-m,+m) } 
		if (m isincs $chan(#).mode) {
			/msg %operator.chan 4 $chan is niet meer moderated
		} else {
			/msg %operator.chan 4 $chan is moderated
		}
	}
}

;F11 - Reclame
alias f11 { { if ($me isop $chan) && ($active ischan)  /say 12 Scoutlink is het hele jaar door open, kom je na de JOTI ook nog eens gezellig chatten? } }

alias f12 { if ($me isop $chan) /msg Pimmetje !punterbij $snick(#,1) }     
alias sf12 { if ($me isop $chan) /msg Pimmetje !puntvoorantwoord $snick(#,1) $cb }
alias cf12 { if ($me isop $chan) /msg Pimmetje !strafpunt $snick(#,1) }     


alias massvoice {
	mode $$chan +m
	var %x = $nick($1,0,r) | while (%x) { 
  	var %r = %r $nick($1,%x,r)
  	if ($numtok(%r,32) = $modespl) { mode $1 + $+ $str(v,$modespl) %r | unset %r } | dec %x
	}
	if (%r) { mode $1 + $+ $str(v,$numtok(%r,32)) %r }
}


alias massdevoice {
	mode $$chan -m
	var %x = $nick($1,0,v) | while (%x) { 
  	var %r = %r $nick($1,%x,v)
  	if ($numtok(%r,32) = $modespl) { mode $1 - $+ $str(v,$modespl) %r | unset %r } 
  	dec %x
	}
	if (%r) { mode $1 - $+ $str(v,$numtok(%r,32)) %r }
}

menu nicklist,channel {
	.Check user
	..WHOIS:/whois op $snick(#,1)
	..PING:/ctcp $snick(#,1) ping
	..VERSION:/ctcp $snick(#,1) version
	..MAIL:/ctcp $snick(#,1) mail
	..NUMBER:/ctcp $snick(#,1) number
	..Op: { 
		;/chanserv op $active $me 
		;/msg %operator.chan 4ik ben NU operator in $active  
		/chanserv op $active $snick(#,1)
		;/timerCONN3 1 2 /who $active
		/msg %operator.chan $snick(#,1) is NU operator in $chan(#), door $me
	}
	..Deop: { 
	 	;/mode $active -o $me 
	 	;/msg %operator.chan 4ik ben GEEN operator meer in $active 
	 	/mode $active -o $snick(#,1)
	 	;/timerCONN3 1 2 /who $active
	 	/msg %operator.chan $snick(#,1) is GEEN operator meer in $chan(#), door $me
	}
} 

menu nicklist,channel {
	$iif($me isop #,.Kanaal settings)
	..Geen Kleur: { if ($me isop $chan)  /mode $$chan +c }
	..Wel Kleur: { if ($me isop $chan)  /mode $$chan -c }
	..Invite Aan: { if ($me isop $chan)  /mode $$chan +i }
	..Invite Uit: { if ($me isop $chan)  /mode $$chan -i }
	..Moderated Aan: { if ($me isop $chan)  { 
	  /mode $$chan +m 
	  /msg %operator.chan 4kanaal $$chan is nu MODERATED  } 
	}
	..Moderated Uit: { if ($me isop $chan)  { 
	  /mode $$chan -m 
	  /msg %operator.chan 4kanaal $$chan is nu  NIET MODERATED } 
	}
	..Massvoice:  { if ($me isop $chan)  { 
	  	/massvoice $$chan 
	  	/msg %operator.chan 4kanaal $$chan is nu MASSVOICE en MODERATED 
	  }
	}
	..Massdevoice:  { if ($me isop $chan) {  
	  	/massdevoice $$chan  
	  	/msg %operator.chan 4kanaal $$chan is nu NIET MEER MASSVOICE 
	 	} 
	}
	..Voice: { if ($me isop $chan)  /chanserv voice $chan $snick(#,1) }
	..Devoice: { if ($me isop $chan)  /chanserv devoice $chan $snick(#,1) }
	-
	$iif($me isop #,.Algemene waarschuwingen)
	..Taalgebruik: { if ($me isop $chan)  /say Zouden jullie alsjeblieft op je taalgebruik willen letten. Ik zou het jammer vinden als ik iemand uit dit chatkanaal zou moeten verwijderen. }
	..Flooden: { if ($me isop $chan)  /say Willen jullie niet teveel (onzin) achter elkaar typen? Als je de aandacht wil, zorg dan dat je origineel bent en praat lekker mee of spreek iemand aan. }
	..Prive gegevens: { if ($me isop $chan)  /say Je kan beter geen privégegevens doorgeven. Dit kan later vervelende gevolgen hebben. Besluit je toch om gegevens door te geven, doe dat dan in een privébericht. }
	..CapsLock: { if ($me isop $chan)  /Say Alleen maar hoofdletters gebruiken wordt gezien als schreeuwen en is erg onvriendelijk. Hiervoor moet ik je verwijderen uit dit chatkanaal. Dit wil ik graag voorkomen met deze waarschuwing. }
	-
	$iif($me isop #,.Talen)
	..Engels: { if ($me isop $chan)  /say If you wish to chat in English, please /hop #English } 
	..Spaans: { if ($me isop $chan)  /say Por favor, si quieren hablar en espanol, se pone /hop #espanol }
	..Frans: { if ($me isop $chan)  /say Pour communiquer en français, voulez vous sil vous plaît taper /hop #francais pour utiliser le canal #francais . Merci! }
	..Duits: { if ($me isop $chan)  /say Wenn Sie möchte deutsch sprechen , bitte /hop #deutsch }
	..Portugees: { if ($me isop $chan)  /say Se você quer falar português, por favor digite /hop #portuguese }
	..Italiaans: { if ($me isop $chan)  /say por favore se vuoi parlare italiano, por favore /hop #italian }
	..Noors: { if ($me isop $chan)  /say Hvis du vil skrive pa norsk, vennligst skriv /hop #scandinavia }
	..Zweeds: { if ($me isop $chan)  /say  Om du vill prata svenska, lämna $chan och anslut till #scandinavia }
	..Chinees: { if ($me isop $chan)  /say  Ruguo ni yao shuo zhongwen, qing ni likai $chan $+ , lanhou zai jinru #chinese }
	..Papiaments: { if ($me isop $chan)  /say Den e kanal aki no tin mag di papia Papiamentu, type /hop #papiamento }
	..Indonesisch: { if ($me isop $chan)  /say Kalau mau dengan bahasa Indonesia, tipe /hop #indonesia }
	-
	$iif($me isop #,.Nicknaam waarschuwingen)  
	..(reden): { if ($me isop $chan)  /say $$1 $+ , $$?="Reden voor waarschuwing" }
	..Taalgebruik:  { if ($me isop $chan)  /say $$1 $+ , houd het gezellig voor iedereen: Zou je alsjeblieft op je taalgebruik willen letten!? }
	..Flooden:  { if ($me isop $chan)  /say $$1 $+ , wil je niet teveel (onzin) achter elkaar typen? Mijn aandacht heb je al en anderen hebben er last van. }
	..Prive gegevens:  { if ($me isop $chan)  /say $$1 $+ , kan beter geen privégegevens doorgeven! Dit kan later vervelende gevolgen hebben. }
	..CapsLock:  { if ($me isop $chan)  /say $$1 $+ , alleen maar hoofdletters gebruiken wordt gezien als schreeuwen en is erg onvriendelijk. Ik zie graag dat je daar mee stopt! }
	..Nicknaam:  { if ($me isop $chan)  /say $$1 $+ , je schuilnaam is niet gepast en ik wil dat je deze aanpast. Je kan je naam veranderen met het commando /nick NieuweNaam. }
	-
	$iif($me isop #,.Kick)
	..Kick (Reden): { if ($me isop $chan)  /kick $chan $snick(#,1)  $$?="Wat is het kickbericht?") }
	..Kick Taalgebruik: { if ($me isop $chan)  /kick $chan $snick(#,1)  Je taalgebruik is niet wenselijk. } 
	..Kick Caps:if ($network == Scoutlink ) { /kick $chan $snick(#,1)  Helaas schrijf je alles in hoofdletters. Dit is niet wenselijk. } 
	..Kick Flood:if ($network == Scoutlink ) { /kick $chan $snick(#,1)  Onzin typen is storend. Helaas is je enthousiasme niet te temmen.  } 
	..Kick Nickname:if ($network == Scoutlink ) { /kick $chan $snick(#,1)  Deze schuilnaam is hier niet toegestaan. Je kunt je naam veranderen met /nick nieuwenaam.  }
	-
	$iif($me isop #,.Ban + Kick 60 seconden)
	..Ban (Reden): { if ($me isop $chan)  /timedban $chan $snick(#,1) $iif($$?="Reden voor kick+ban?", $!) }
	..Ban Taalgebruik: { if ($me isop $chan) /timedban $chan $snick(#,1) Jou taalgebruik is niet wenselijk }
	..Ban Caps: { if ($me isop $chan)  /timedban $chan $snick(#,1)  Helaas schrijf je alles in hoofdletters. Dit is niet wenselijk.. } 
	..Ban Flood: { if ($me isop $chan)  /timedban $chan $snick(#,1)   Onzin typen is storend. Helaas is je enthousiasme niet te temmen.   } 
	..Ban Nickname: { if ($me isop $chan)  /timedban $chan $snick(#,1)  Deze schuilnaam is hier niet toegestaan. Je kunt je naam veranderen met /nick nieuwenaam. }
	-
	$iif($me isop #,.ChanServ Kick)
	..Kick (Reden): { /msg ChanServ KICK $chan $snick(#,1) $$?="Wat is het kickbericht?" }
	..Kick Taalgebruik: { /msg ChanServ KICK $chan $snick(#,1)  Je taalgebruik is niet wenselijk. } 
	..Kick Caps: { /msg ChanServ KICK $chan $snick(#,1)  Helaas schrijf je alles in hoofdletters. Dit is niet wenselijk. } 
	..Kick Flood: {  /msg ChanServ KICK $chan $snick(#,1)  Onzin typen is storend. Helaas is je enthousiasme niet te temmen.  } 
	..Kick Nickname: {  /msg ChanServ KICK $chan $snick(#,1)  Deze schuilnaam is hier niet toegestaan. Je kunt je naam veranderen met /nick nieuwenaam.  }
	-
	$iif($me isop #,.Kill)
	..(Reden): { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $snick(#,1)  $$?="Wat is de reden? Laat leeg om Kill te annuleren." }
	..Taalgebruik: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $snick(#,1) Aanhoudend ongewenst taalgebruik. }  
	..Caps: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $snick(#,1) Aanhoudend blijven schrijven in hoofdletters. }
	..Flood: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $snick(#,1) Aanhoudend veel tekst in kanalen spammen. }
	..Nickname: { if ($me isop $chan) && ($active ischan)  /msg %operator.chan /kill $snick(#,1) Ongewenste schuilnaam. }
	-
	$iif($me isop #,.G-lines)
	..(Reden)     : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $snick(#,1)  2m : $+ $$?="Wat is de reden? Laat leeg om g-line te annuleren. Voor langere glineaanvraag graag persoonlijk overleg in %operator.chan!" (Korte ban: mail voor meer info naar joti@scoutlink.nl) } 
	..Taalgebruik : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $snick(#,1)  2m : $+ Aanhoudend ongewenst taalgebruik. (Korte ban voor $snick(#,1) $+ : mail voor meer info naar joti@scoutlink.nl) }
	..Caps        : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $snick(#,1)  2m : $+ Aanhoudend blijven schrijven in hoofdletters. (Korte ban voor $snick(#,1) $+ : mail voor meer info naar joti@scoutlink.nl) }
	..Flood       : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $snick(#,1)  2m : $+ Aanhoudend veel tekst in kanalen spammen. (Korte ban voor $snick(#,1) $+ : mail voor meer info naar joti@scoutlink.nl) }
	..Nickname    : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan gline $snick(#,1)  2m : $+ Ongewenste schuilnaam. (Korte ban voor $snick(#,1) $+ : mail voor meer info naar joti@scoutlink.nl) }
	-
	$iif($me isop #,.Nick Change)
	.Nickchange   : { if ($me isop $chan) && ($active ischan)  /msg %operator.chan Nickchange: /sanick $snick(#,1) $$?="Naar welke nick moet er veranderd worden? Laat leeg om te annuleren" } 
	-
	$iif($me isop #,.Pimmetje)
	..join : { if ($me isop $chan) /msg Pimmetje  !join $active ppp Pimmetje | /timerPimmetje 1 5 /chanserv op $active Pimmetje  }   
	..part : { if ($me isop $chan) /msg Pimmetje !part $active }
	..Start PimPamPet : { if ($me isop $chan) /msg Pimmetje !startppp }            
	..Stop PimPamPet : { if ($me isop $chan) /msg Pimmetje !stopppp }               
	..Geef een punt : { if ($me isop $chan) /msg Pimmetje !punterbij $snick(#,1) }     
	..Geef een punt(antwoord) : { if ($me isop $chan) /msg Pimmetje !puntvoorantwoord $snick(#,1) $cb }
	..Strafpunt : { if ($me isop $chan) /msg Pimmetje !strafpunt $snick(#,1) }          
	..Toon HiScore : { if ($me isop $chan) /msg Pimmetje !hiscore }              
	..Voeg Admin toe : { if ($me isop $chan) /msg Pimmetje !addadmin $?="Nickname" }         
	..Verwijder Admin : { if ($me isop $chan) /msg Pimmetje !deladmin $?="Nickname" }      
	..Toon alle Admins : { if ($me isop $chan) /msg Pimmetje !showadmins }         
	..Toon Status : { if ($me isop $chan) /msg Pimmetje !toonstatus }         
}

menu nicklist,channel,query,status {
	.-
	$iif($me isop #,.ChanServ Commands)
	..Getkey :  { if ($me isop $chan)  /chanserv getkey $$?="Welk kanaal wil je de key van weten?") }
	..Unban :  { if ($me isop $chan)  /chanserv unban  $$?="Welke kanaal wil je in unbanned worden?") }
	..-
	..Op: { 
		/chanserv op $active $me 
		/msg %operator.chan 4ik ben NU operator in $active  
	}
	..Deop: { 
	 	/mode $active -o $me 
	 	/msg %operator.chan 4ik ben GEEN operator meer in $active 
	}
	..-
	..Voice :if ($me isop $chan)  { /chanserv voice $chan $snick(#,1) }
	..Devoice :if ($me isop $chan)  { /chanserv devoice $chan $snick(#,1) }
	..-
	..Info :if ($me isop $chan)  { /chanserv info $chan }
	..Invite :if ($me isop $chan)  { /chanserv invite $chan $$?="Wie wil je inviten" } 
}

menu channel {
	Kanaal opties : /channel
}

;****** 60 seconden ban *******
alias timedban {
/tban $$1 60s $$2 
/kick $$1 $$2 60 SECONDEN BAN: $$3-
}

;***** WARNING POP-UPS JOTI-IRC ******

dialog glined {
	title "WAARSCHUWING: G:LINED"
	size -1 -1 400 240
	icon 1, 1 1 400 188, $adiircdir\pix\glined1.jpg
	icon 2, 1 1 400 188, $adiircdir\pix\glined2.jpg
	button "sluiten",3, 150 210 100 25, OK 
}

alias blinkgreen.glined {
	/timerGREEN -m 1 500 /blinkred.glined
	/did -h glined 2
	/did -v glined 1
}

alias blinkred.glined {
	/timerRED -m 1 500 /blinkgreen.glined
	/did -h glined 1
	/did -v glined 2
}

on *:DIALOG:glined:sclick:3:{
	/dialog -x glined
	/timerGREEN off
	/timerRED off
}

dialog killed {
	title "WAARSCHUWING: KILLED"
	size -1 -1 400 240
	icon 1, 1 1 400 188, $adiircdir\pix\killed1.jpg
	icon 2, 1 1 400 188, $adiircdir\pix\killed2.jpg
	button "sluiten",3, 150 210 100 25, OK 
}

alias blinkgreen.killed {
	/timerGREEN -m 1 500 /blinkred.killed
	/did -h killed 2
	/did -v killed 1
}

alias blinkred.killed {
	/timerRED -m 1 500 /blinkgreen.killed
	/did -h killed 1
	/did -v killed 2
}

on *:DIALOG:killed:sclick:3:{
	/dialog -x killed
	/timerGREEN off
	/timerRED off
}


on *:ERROR:*banned*: {
	/dialog -m glined glined
	/blinkgreen.glined
	/playsound glined.wav
}

on *:ERROR:*kill*:  {
	/dialog -m killed killed
	/blinkgreen.killed
	/playsound killed.wav
}

;***** BADWORDSCRIPT JOTI-IRC ******

alias loadbwlist {
  if ($hget(badwords)) { 
  	/hfree badwords
  }
  var %tmp.bwl = $adiircdir $+ Scripts\bwl.txt
  if (!$exists(%tmp.bwl) ) {
  	/checkupdates
  } else {
  	/hload -m badwords %tmp.bwl
  }
}

alias savebwlist {
  if ($hget(badwords)) {
  	var %tmp.bwl = $adiircdir $+ Scripts\bwl.txt
    hsave badwords %tmp.bwl
    hfree badwords
  }
}

on *:UNLOAD:{ 
	/savebwlist
}

on *:EXIT:{ 
	/savebwlist
}

on *:INPUT:*:{ 
	if (!$hget(badwords)) { 
	  	/loadbwlist
	}
	if ($left($1,1) != /) && (!$ctrlenter) {
	  var %x = 1
	  var %y = $numtok($1-,32)
	  var %temp = $1-
	  while (%y) {
	    var %a = $gettok($1-,%y,32)
	    if ($hfind(badwords,%a)) {
	      var %b $numtok($hget(badwords,%a),32) - 1
	      var %temp = $puttok(%temp,$hget(badwords,%a),%y,32)
	      inc %b
	    }
	    dec %y
	  }
	  msg $active %temp
	  halt
	}
}

;***** VERSION CHECK AND DOWNLOAD FILES JOTI-IRC ******
dialog getupdates {
	title "Updates gevonden"
	option dbu
	size -1 -1 200 50
	text "Er zijn updates voor Jotilink gevonden. Deze nu downloaden en installeren?",2,5 5 200 10
	button "Ja", 9, 50 35 34 10,ok
	button "Nee", 10, 125 35 34 10,cancel
}

dialog goreload {
	title "Updates afgerond"
	option dbu
	size -1 -1 200 50
	text "Alle updates zijn gedaan. Joti irc overnieuw starten om deze actief te maken?",2,5 5 200 10
	button "Ja", 9, 50 35 34 10,ok
	button "Nee", 10, 125 35 34 10, cancel
}

on *:dialog:getupdates:sclick:9:{
	/runupdates
}

on *:dialog:getupdates:sclick:10: {
	if (%tmp.startup == 1) {
		/runstartup
	}
}

on *:dialog:goreload:sclick:9: {
	if (%tmp.ircupdate == 1) {
	 	if ($exists($adiircdir $+ upp.exe)) {
	 		/run $adiircdir $+ upp.exe
	 		/exit
	 	} else {
	 		/exit -nr
		}
	} else {
		/exit -nr
	}
}

on *:dialog:goreload:sclick:10: {
	if (%tmp.startup == 1) {
		/unset %tmp.startup
		/runstartup
	}
}

alias listversions {
	/set %tmp.oldversions $adiircdir $+ Scripts\versions.txt
	if ($hget(oldversions)) { /hfree oldversions }
	if ($exists(%tmp.oldversions)) {
		/hload -m oldversions %tmp.oldversions
		var %tmp.filecount = $hget(oldversions,0).item
		var %tmp.filenum = 1
		/echo -sg #======== local file versions
		
		while (%tmp.filenum <= %tmp.filecount) {
			var %tmp.filename = $hget(oldversions,%tmp.filenum).item
			var %tmp.version = $hget(oldversions,%tmp.filenum).data
			/echo -sg $+(%tmp.filename,: ,%tmp.version)
			inc %tmp.filenum
		}		
		/echo ADIIRC version: $version
		/echo dotnet version: $dotnet
		/echo detected os: $os
		/echo version: $osversion
		if ($check_wine > 0) {
			/echo wine detected!
			}
	} else {
		/echo -sg Het versie bestand is niet gevonden. Doe eerst een update.
	}
	if ($hget(oldversions)) { /hfree oldversions }
}	

alias checkfileversions {
	/set %tmp.newversions $adiircdir $+ Scripts\newversions.txt
	/set %tmp.oldversions $adiircdir $+ Scripts\versions.txt
	/set %tmp.force $1
	
	if (%tmp.force != $null) {
		/.remove %tmp.oldversions
	}
	
	if (%setup.url.filebase != $null) {
		
 		if ((%tmp.force) || (%setup.joti.mode) == single || ( %setup.joti.mode == group && %mynickname == %setup.joti.localadmin) || (%tmp.startup == 1)) {
 			var %tmp.url.fileinfo %setup.url.filebase $+ /fileversions.txt
 			/echo -sg #==================== Checking file versions
 			/echo -sg versie file wordt opgehaald van: %tmp.url.fileinfo
 			
 			/set %tmp.updatecount = 0
 			/download -o fileversions %tmp.url.fileinfo %tmp.newversions
   	}
  } else {
  	/echo -g De updates zijn niet bereikbaar, er worden geen updates gedownload.
		if (%tmp.startup == 1) {
			/unset %tmp.startup
			/runstartup
		}			  	
  }
}

alias forceupdates {
	/checkfileversions 1
}

on *:DOWNLOAD:fileversions: {
	
	if (!$downloaderr) {
		if ($hget(newversions)) { /hfree newversions }
		if ($hget(oldversions)) { /hfree oldversions }
		if ($hget(downloadlist)) { /hfree downloadlist }
		if ($hget(saveversions)) { /hfree saveversions }
		if ($hget(errordownload)) { /hfree errordownload }
		
		if ($exists(%tmp.oldversions)) {
			/hload -m oldversions %tmp.oldversions
		} else {
			/hmake oldversions
		}
		/hload -m newversions %tmp.newversions
		/hmake downloadlist
		/hmake saveversions
		/hmake errordownload
		
		var %tmp.filecount = $hget(newversions,0).item
		var %tmp.filenum = 1
		
		while (%tmp.filenum <= %tmp.filecount) {
			var %tmp.filename = $hget(newversions,%tmp.filenum).item
			var %tmp.newver = $hget(newversions,%tmp.filenum).data
			var %tmp.oldver = $hget(oldversions,%tmp.filename)
			
			if (%tmp.filename == adiirc.exe) {
				%tmp.oldver = $version
			}
			
			if (%tmp.oldver != %tmp.newver) {
				var %tmp.tempname = %tmp.filename
				/hadd downloadlist %tmp.tempname %tmp.newver
				/hadd errordownload %tmp.tempname 0
				if (%tmp.oldver == $null) {
					/echo -sg %tmp.filename : versie niet bekend
				} else {
					/echo -sg %tmp.filename : oude versie %tmp.oldver nieuwe versie %tmp.newver
				}
			} else {
				/hadd saveversions %tmp.filename %tmp.newver
			}
			inc %tmp.filenum
		}
		
		if ($hget(downloadlist,0).item > 0) {
			/dialog -m getupdates getupdates
		} else {
			/echo -sg Alles is up-to-date
			/finishdownload
			if (%tmp.startup == 1) {
				/unset %tmp.startup
				/runstartup
			}			
		}
			
	} else {
		/echo -sg Er is een probleem met het controleren van de versies.
		if (%tmp.startup == 1) {
			/unset %tmp.startup
			/runstartup
		}					
	}
}

alias runupdates {
	var %tmp.filenum = 1
	while (%tmp.filenum <= $hget(downloadlist,0).item) {
		var %tmp.filename = $hget(downloadlist,%tmp.filenum).item
		var %tmp.newversion = $hget(downloadlist,%tmp.filenum).data
		
		/echo checking %tmp.filename
		
		var %tmp.fetchfile = %setup.url.filebase $+ / $+ %tmp.filename
		var %tmp.tempfile = $adiircdir $+ $hget(downloadlist,%tmp.filenum).item $+ .tmp
		
		if (%tmp.filename == adiirc.exe) {
			/echo Updating adiirc to %tmp.newversion
			%tmp.adiircbits = $osbits
			
			if ($check_wine > 0) {
				%tmp.adiircbits = 20
			}
			%tmp.fetchfile = %setup.url.filebase $+ /adiirc/ $+ %tmp.newversion $+ / $+ AdiIRC_ $+ %tmp.adiircbits $+ .exe
			%tmp.fetchfile = $replace(%tmp.fetchfile,\,/)
			var %tmp.tempfile = $adiircdir $+ adiirc.tmp
			/echo -sg downloading %tmp.fetchfile
			
		}
			
		%tmp.fetchfile = $replace(%tmp.fetchfile,\,/)
		/echo -sg downloading %tmp.fetchfile
		/download -o $hget(downloadlist,%tmp.filenum).item %tmp.fetchfile %tmp.tempfile
		inc %tmp.filenum

	}
}

on *:DOWNLOAD:*: {
	/echo downloaded $download
	;/hdel downloadlist $download
	if (!$downloaderr) {
		if ($download != 'fileversions') {
			var %tmp.tempfile = $download($download).file
			var %tmp.realfile $adiircdir $+ $download
			if ($download == adiirc.exe) {
				%tmp.realfile = upp.exe
				/set %tmp.ircupdate 1
				/echo updating ircclient
			}
			/echo -sg installing $download
			if ($exists(%tmp.realfile)) {
				/.remove %tmp.realfile
			}
			/.rename %tmp.tempfile %tmp.realfile
			/hadd errordownload $download 2
			/hadd saveversions $download $hget(newversions,$download)
		}
	} else {
		/echo -sg 4 $download was not found on the server!
		/hadd errordownload $download 1
		/hadd saveversions $download $hget(oldversions,$download)
	}
	
	var %x = 1
	var %finished = 0
	var %errorsfound = 0
	var %downloadleft = 0
	
	if ($hget(downloadlist,0).item > 0) {
		while (%x <= $hget(errordownload,0).item) {
			if ($hget(errordownload,%x).data == 1) {
				%errorsfound = 1
			}
			if ($hget(errordownload,%x).data == 0) {
				%downloadleft = 1;
			}
			inc %x
		}
	}
	
	if (%downloadleft == 0) {
		if (%errorsfound == 1) {
			/echo -sg 4 Alles geupdate maar er zijn problemen gevonden.
			/finishdownload
			/dialog -m goreload goreload
		} else {
			/echo -sg Alles is geupdate
			/finishdownload
			/dialog -m goreload goreload
		}
	}
}

alias finishdownload {
	if ($exists(%tmp.newversions)) { /.remove %tmp.newversions }
	if ($exists(%tmp.oldversions)) { /.remove %tmp.oldversions }
	/.hsave saveversions %tmp.oldversions
	/unset %tmp.newversions
	/unset %tmp.oldversions
	if ($hget(newversions)) { /hfree newversions }
	if ($hget(oldversions)) { /hfree oldversions }
	if ($hget(saveversions)) { /hfree saveversions }
	if ($hget(downloadlist)) { /hfree downloadlist }
	if ($hget(badwords)) { hfree badwords }
}

alias check_wine {
  if (!$isid) { return }
 
  var %1 = CheckOS_1
  var %2 = CheckOS_2
  var %3 = CheckOS_3
  var %4 = CheckOS_4
 
;  .comopen %1 MSScriptControl.ScriptControl
;  if (!$com(%1)) || ($comerr) { return 1 }
 
  .comopen %2 WScript.Shell
  if (!$com(%2)) || ($comerr) { return 2 }
 
  .comopen %3 MSXML2.SERVERXMLHTTP.6.0
  if (!$com(%3)) || ($comerr) { return 3 }
 
  .comopen %4 Adodb.Stream
  if (!$com(%4)) || ($comerr) { return 4 }
 
  if ($com(%1)) { .comclose $v1 }
  if ($com(%2)) { .comclose $v1 }
  if ($com(%3)) { .comclose $v1 }
  if ($com(%4)) { .comclose $v1 }
 
  return 0
 
  :error
  reseterror
 
  if ($com(%1)) { .comclose $v1 }
  if ($com(%2)) { .comclose $v1 }
  if ($com(%3)) { .comclose $v1 }
  if ($com(%4)) { .comclose $v1 }
 
  return 5
}

;***** RESET ALL VARIABLES JOTI-IRC ******

alias resetdefault {
	/set %setup.joti.mode setup
	/set %setup.joti.naam $null
	/set %setup.joti.email joti@scoutlink.nl
	/set %setup.joti.weburl https://www.facebook.com/JOTAJOTINL/
	/set %setup.joti.woonplaats $null
	/set %setup.joti.deelname JOTI
	/set %setup.joti.jid $null
	/set %setup.joti.call $null
	/set %setup.joti.qth $null
	/set %setup.joti.avatar $null
	/set %setup.joti.prefix $null
	/set %setup.joti.localadmin $null
	/set %setup.joti.clientid standalone
	/set %tmp.setupid clear
	
  /set %font small
  /set %randomtimer 0
  /set %connection disconnected
  /set %timedisplay on
  /set %sounds on
  /set %toolbaricons more
  /set %badgequota 0
  /set %logcounter 0 
  /set %localadminmode 0
  /set %profilelock unlock
  /set %arrwindow 1
  /set %aantal.badges.leukstechat 0
  /set %aantal.badges.nieuwevriend 0
  /set %aantal.badges.bestegroep 0
  /set %badgequota 0
  /set %listcounter 0
  /set %mynickname SL_%currentyear
  /set %blink 1  
  /set %chanfilter #dutch
  /set %afzender 
}

;***** HTML LOGS GENERATOR JOTI-IRC ******

ctcp *:get.profile:*: {
	/ctcp $nick profile.nickname %mynickname
	/ctcp $nick profile.name %setup.joti.naam
	/ctcp $nick profile.mail %setup.joti.email
	/ctcp $nick profile.web %setup.joti.weburl
	/ctcp $nick profile.place %setup.joti.woonplaats
	/ctcp $nick profile.admin %setup.joti.localadmin
	/ctcp $nick profile.avatar %setup.joti.avatar
	/ctcp $nick profile.number %setup.joti.jid
	/ctcp $nick profile.deelname %setup.joti.deelname
	/ctcp $nick profile.call %setup.joti.call
	/ctcp $nick profile.qth %setup.joti.qth
	/ctcp $nick profile.station %setup.joti.clientid
	/ctcp $nick profile.done
}

ctcp *:profile.nickname:*: /set %guest.joti.nickname $$2-
ctcp *:profile.name:*: /set %guest.joti.naam $$2-
ctcp *:profile.mail:*: /set %guest.joti.email $$2
ctcp *:profile.web:*: /set %guest.joti.weburl $$2
ctcp *:profile.place:*: /set %guest.joti.woonplaats $$2-
ctcp *:profile.admin:*: /set %guest.joti.localadmin $$2
ctcp *:profile.prefix:*: /set %guest.joti.predix $$2
ctcp *:profile.avatar:*: /set %guest.joti.avatar $$2
ctcp *:profile.number:*: /set %guest.joti.jid $$2
ctcp *:profile.deelname:*: /set %guest.joti.deelname $$2
ctcp *:profile.call:*: /set %guest.joti.call $$2
ctcp *:profile.qth:*: /set %guest.joti.qth $$2
ctcp *:profile.station:*: /set %guest.joti.clientid $$2-
ctcp *:profile.done:*: /generate.html

alias generate.html {
	if (%guest.joti.avatar == $null) {
		/set %guest.joti.avatar https://jotiirc.scoutlink.nl/default/defaultavatar.jpg
	}
	/set %guest.nickscoutinggroep $nick
	/set %guest.datumscoutinggroep $date(dd-mm-yyyy)
	/set %guest.tijdscoutinggroep $time(HH:nn) uur
	/set %guest.url $adiircdir\records\log $+ %logcounter $+ _ $+ %guest.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html 
	/set %guest.link log $+ %logcounter $+ _ $+ %guest.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html
	/set %guest.search https://www.google.com/maps/embed/v1/place?key=AIzaSyCwdL_3SnjNV5FYNjAQe8O_gljXve4oOnk&q= $+ $replace(%guest.joti.woonplaats ,$chr(32),$+(+))
	/write %guest.url <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
	/write %guest.url <html><head><meta name="keywords" content="JOTA-JOTI LJJO Scouting Nederland ScoutLink JOTI-IRC irc client"><meta name="description" content="JOTA-JOTI %currentyear logs"><meta name="robots" content="index, follow"><meta name="author" content="JOTI-IRC %currentyear"><meta name="generator"JOTI-IRC %currentyear">
	/write %guest.url <title>
	/write %guest.url $fulldate
	/write %guest.url </title><style type="text/css">
	/write %guest.url h1 {font-family: Arial, Helvetica, sans-serif; font-size: 40pt; font-weight: bold; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h2 {font-family: Arial, Helvetica, sans-serif; font-size: 20pt; font-weight: bold; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h3 {font-family: Arial, Helvetica, sans-serif; font-size: 14pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: left;}
	/write %guest.url h4 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h5 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url hr {width: 95%; border-color: #F7AC05; height:2px;}
	/write %guest.url img.icon {height: 20px; width: 20px; margin-left: 0px; margin-right: 5px; margin-top: 1px; margin-bottom: 1px;}
	/write %guest.url img.text {width: 200px; margin-left: 5px; margin-right: 5px; margin-top: 5px; margin-bottom: 5px; border-width: 1px; border-style: solid; border-color: #F7AC05;}
	/write %guest.url a.menu:visited {background-color: #F7AC05;display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:link {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:active {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:hover {background-color: #FED272; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #1C1C1C; text-align: center; text-decoration: none; text-transform: uppercase;}
	/write %guest.url </style></head><body bgcolor="#000000"><div align="center"><table width="650" border="0" bgcolor="#1B1D58"><tr><td colspan="2" width="650" height="50" align="center" valign="middle"><a name="top"></a><h1>JOTA-JOTI %currentyear</h1></td></tr><tr><td colspan="2" width="650" height="20" align="center" valign="middle"><h2>Log van 
	/write %guest.url $fulldate
	/write %guest.url </h2></td></tr><tr><td colspan="2" width="650" height="50" align="right" valign="middle">
	/write %guest.url <a class="menu" href="index.html" target="_parent">Overzicht</a>
	/write %guest.url <a class="menu" href="
	/write %guest.url %guest.joti.weburl
	/write %guest.url " target="_parent">Website</a>
	/write %guest.url <a class="menu" href="mailto:
	/write %guest.url %guest.joti.email
	/write %guest.url ?SUBJECT=JOTA-JOTI %currentyear">E-mail</a>
	/write %guest.url </td></tr>
	/write %guest.url <tr><td colspan="1" width="210" height="210" align="center" valign="middle">
	/write %guest.url <A href="
	/write %guest.url %guest.joti.avatar
	/write %guest.url " target="_blank">
	/write %guest.url <img src="
	/write %guest.url %guest.joti.avatar
	/write %guest.url " class="text"></a>
	/write %guest.url </td><td colspan="1" width="440" height="210"><h3>Gesproken op IRC met: 
	/write %guest.url %guest.joti.nickname
	/write %guest.url <br>Op
	/write %guest.url %guest.datumscoutinggroep
	/write %guest.url om 
	/write %guest.url %guest.tijdscoutinggroep
	/write %guest.url <br>Naam:
	/write %guest.url %guest.joti.naam
	/write %guest.url <br>Deelname:
	/write %guest.url %guest.joti.deelname
	/write %guest.url <br>Deelnemersnummer:
	/write %guest.url %guest.joti.jid
	/write %guest.url <br>Call:
	/write %guest.url %guest.joti.call
	/write %guest.url <br>QTH locator:
	/write %guest.url %guest.joti.qth
	/write %guest.url <br></td></tr><tr><td colspan="2" width="650" height="10"></td></tr><tr><td colspan="2" width="650" height="350">
	/write %guest.url <center><iframe width="400" height="300" frameborder="0" style="border:0" src="
	/write %guest.url %guest.search
	/write %guest.url "></iframe></center></td></tr><tr><td colspan="2" width="650" height="10"><hr></hr></td></tr><td colspan="2" width="650" height="50"><center><a class="menu" href="#top" target="_parent">naar boven</a></center></td></tr><tr><td colspan="2" width="650" height="80"><h4>Copyright %currentyear ScoutLink</h4><h5>JOTA-JOTI %currentyear</h5></td></tr></table></div>/body></html>
	/write -il20 $adiircdir\records\index.html <a href=" %guest.link " target=_parent">Logregistratie van:  $+ $date(dd-mm-yyyy) $+ _ $+ $time(HH:nn) $+ </a><br>
	/url %guest.url 
	/timerUNSET 1 5 unset.profile1
}

alias unset.profile1 {
	/unset %guest.joti.nickname
	/unset %guest.joti.naam
	/unset %guest.joti.email
	/unset %guest.joti.weburl
	/unset %guest.joti.woonplaats 
	/unset %guest.joti.localadmin
	/unset %guest.joti.predix
	/unset %guest.joti.avatar
	/unset %guest.joti.jid
	/unset %guest.joti.deelname
	/unset %guest.joti.call
	/unset %guest.joti.qth
}

alias addlog {
	/dialog -m addlog addlog
	/inc %logcounter
}

dialog addlog {
	title "Log registratie invoeren"
	size -1 -1 400 525
	icon 1, 1 1 400 188, $adiircdir\pix\banner6.jpg
	text "Vul de onderstaande gegevens in",2, 10 195 200 25
	text "Scoutinggroep/Scout",3, 10 220 175 25
	edit "",4, 190 220 200 20, limit 120
	text "E-mail adres",5, 10 245 175 25
	edit "",6, 190 245 200 20, limit 120
	text "Website",7, 10 270 175 25
	edit "",8, 190 270 200 20, limit 120
	text "Plaats",9, 10 295 175 25
	edit "",10, 190 295 200 20
	text "via",11, 10 320 175 25
	combo 12,190 320 120 140,drop 
	text "call/naam",13, 10 345 175 25
	edit "",14, 190 345 200 20
	text "QTH locator",15, 10 370 150 25
	edit "",16, 190 370 200 20
	text "Opmerkingen",19, 10 395 150 25
	edit "",18, 10 420 380 45
	button "Invoeren",100, 100 470 100 25, OK
	button "Wissen" 101, 200 470 100 25 CANCEL
}

on *:DIALOG:addlog:init:0: { 
	did -a addlog 12 80m
	did -a addlog 12 2m
	did -a addlog 12 70m
	did -a addlog 12 ATV
	did -a addlog 12 Skype
	did -a addlog 12 Teamspeak
	did -a addlog 12 ScoutLink Minecraft
	did -a addlog 12 Facebook msg
	did -a addlog 12 Google hangout
	did -a addlog 12 JOTI-TV
	did -a addlog 12 IRL  
	did -a addlog 12 IRC
} 

On *:DIALOG:addlog:sclick:100: {
	/set %guest.joti.naam $did(addlog,4).text
	/set %guest.joti.email $did(addlog,6).text
	/set %guest.joti.weburl $did(addlog,8).text
	/set %guest.joti.woonplaats $did(addlog,10).text
	/set %guest.joti.via $did(addlog,14).text
	/set %guest.joti.call $did(addlog,14).text
	/set %guest.joti.qth $did(addlog,16).text
	/set %guest.opmerkingen $did(addlog,18).text
	/generate.html.2
}

On *:DIALOG:addlog:sclick:101: {
	/dialog -x addlog
}

alias generate.html.2 {
	if (%guest.joti.avatar == $null) {
		/set %guest.joti.avatar https://jotiirc.scoutlink.nl/default/defaultavatar.jpg
	}
	
	/set %guest.datumscoutinggroep $date(dd-mm-yyyy)
	/set %guest.tijdscoutinggroep $time(HH:nn) uur
	/set %guest.url $adiircdir\records\log $+ %logcounter $+ _ $+ %setup.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html
	/set %guest.link log $+ %logcounter $+ _ $+ %guest.joti.clientid $+ _ $+ %guest.datumscoutinggroep $+ .html
	/set %guest.search https://www.google.com/maps/embed/v1/place?key=AIzaSyCwdL_3SnjNV5FYNjAQe8O_gljXve4oOnk&q= $+ $replace(%guest.plaatsscoutinggroep ,$chr(32),$+(+))
	/write %guest.url <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
	/write %guest.url <html><head><meta name="keywords" content="JOTA-JOTI LJJO Scouting Nederland ScoutLink JOTI-IRC irc client"><meta name="description" content="JOTA-JOTI %currentyear logs"><meta name="robots" content="index, follow"><meta name="author" content="JOTI-IRC %currentyear"><meta name="generator"JOTI-IRC %currentyear">
	/write %guest.url <title>
	/write %guest.url $fulldate
	/write %guest.url </title><style type="text/css">
	/write %guest.url h1 {font-family: Arial, Helvetica, sans-serif; font-size: 40pt; font-weight: bold; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h2 {font-family: Arial, Helvetica, sans-serif; font-size: 20pt; font-weight: bold; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h3 {font-family: Arial, Helvetica, sans-serif; font-size: 14pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: left;}
	/write %guest.url h4 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #F7AC05; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url h5 {font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: normal; color: #FFFFFF; margin-left: 2px; margin-right: 2px; margin-top: 2px; margin-bottom: 2px; text-align: center;}
	/write %guest.url hr {width: 95%; border-color: #F7AC05; height:2px;}
	/write %guest.url img.icon {height: 20px; width: 20px; margin-left: 0px; margin-right: 5px; margin-top: 1px; margin-bottom: 1px;}
	/write %guest.url img.text {width: 200px; margin-left: 5px; margin-right: 5px; margin-top: 5px; margin-bottom: 5px; border-width: 1px; border-style: solid; border-color: #F7AC05;}
	/write %guest.url a.menu:visited {background-color: #F7AC05;display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:link {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:active {background-color: #F7AC05; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #E8E8E8; text-align: center; text-decoration: none; text-transform: lowercase;}
	/write %guest.url a.menu:hover {background-color: #FED272; display: inline-block; width: 150px; height: 25px; font-family: arial, sans-serif; font-size: 12pt; margin-left: 0px; margin-right: 5px; margin-top: 0px; margin-bottom: 0px; font-weight: bold; color: #1C1C1C; text-align: center; text-decoration: none; text-transform: uppercase;}
	/write %guest.url </style></head><body bgcolor="#000000"><div align="center"><table width="650" border="0" bgcolor="#1B1D58"><tr><td colspan="2" width="650" height="50" align="center" valign="middle"><a name="top"></a><h1>JOTA-JOTI %currentyear</h1></td></tr><tr><td colspan="2" width="650" height="20" align="center" valign="middle"><h2>Log van 
	/write %guest.url $fulldate
	/write %guest.url </h2></td></tr><tr><td colspan="2" width="650" height="50" align="right" valign="middle">
	/write %guest.url <a class="menu" href="index.html" target="_parent">Overzicht</a>
	/write %guest.url <a class="menu" href="
	/write %guest.url %guest.joti.weburl
	/write %guest.url " target="_parent">Website</a>
	/write %guest.url <a class="menu" href="mailto:
	/write %guest.url %guest.joti.email
	/write %guest.url ?SUBJECT=JOTA-JOTI %currentyear">E-mail</a>
	/write %guest.url </td></tr>
	/write %guest.url <tr><td colspan="1" width="210" height="210" align="center" valign="middle">
	/write %guest.url <img src="$adiircdir\pix\logo2017.bmp" class="text">
	/write %guest.url </td><td colspan="1" width="440" height="210"><h3>Gesproken op 
	/write %guest.url %guest.joti.via
	/write %guest.url  met: 
	/write %guest.url %guest.joti.call
	/write %guest.url <br>Op
	/write %guest.url %guest.datumscoutinggroep
	/write %guest.url om 
	/write %guest.url %guest.tijdscoutinggroep
	/write %guest.url <br>Scoutinggroep/Scout:
	/write %guest.url %guest.joti.nickname
	/write %guest.url <br>QTH locator:
	/write %guest.url %guest.joti.qth
	/write %guest.url <br>Opmerkingen
	/write %guest.url %guest.opmerkingen
	/write %guest.url <br></td></tr><tr><td colspan="2" width="650" height="10"></td></tr><tr><td colspan="2" width="650" height="350">
	/write %guest.url <center><iframe width="400" height="300" frameborder="0" style="border:0" src="
	/write %guest.url %guest.search
	/write %guest.url "></iframe></center></td></tr><tr><td colspan="2" width="650" height="10"><hr></hr></td></tr><td colspan="2" width="650" height="50"><center><a class="menu" href="#top" target="_parent">naar boven</a></center></td></tr><tr><td colspan="2" width="650" height="80"><h4>Copyright %currentyear ScoutLink</h4><h5>JOTA-JOTI %currentyear</h5></td></tr></table></div>/body></html>
	/write -il20 $adiircdir\records\index.html <a href=" %guest.link " target=_parent">Logregistratie van:  $+ $date(dd-mm-yyyy) $+ _ $+ $time(HH:nn) $+ </a><br>
	/url %guest.url 
	/timerUNSET 1 5 unset.profile2
}

alias unset.profile2 {
	/unset %guest.joti.naam
	/unset %guest.joti.email
	/unset %guest.joti.weburl
	/unset %guest.joti.woonplaats
	/unset %guest.joti.via
	/unset %guest.joti.call
	/unset %guest.joti.qth
	/unset %guest.opmerkingen
}

***** NICKNAME REGISTRATION TOOL JOTI-IRC *****

alias registernick {
    /dialog -m nickregistration nickregistration
}

dialog nickregistration {
  title "Welkom bij de setup van JOTI-IRC"
  size -1 -1 400 350
  icon 1, 1 1 400 188, $adiircdir\pix\bannernick.jpg
  text "Registeer je schuilnaam",2, 10 195 375 25
  text "Wachwoord",3, 10 225 175 25
  edit "",4, 190 225 200 20
  text "E-mail adres",5, 10 255 175 25
  edit "",6, 190 255 200 20
  button "REGISTREER",100, 125 315 175 25 
}


On *:DIALOG:nickregistration:sclick:100:{
    /did -a nickregistration 3 %registerpass 
    /did -a nickregistration 5 %registeremail   
    /msg NickServ register %registerpass %registeremail
    /dialog -x nickregistration
    /unset %registerpass
    /unset %registeremail
    /toolbar -d registernick
}

